unit TestDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TTestForm = class(TForm)
    MemoBox: TMemo;
    Version: TStaticText;
    CloseBtn: TButton;
    ExecDlgBtn: TButton;
    DlgResult: TStaticText;
    procedure FormShow(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure ExecDlgBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TestForm: TTestForm;

implementation

{$R *.DFM}

{$I SysInfo.inc}

function  GetAllSystemInfo: SystemInfoRecord; stdcall; external 'SysInfo.dll';

function  DllVersion: shortstring; stdcall; external 'SysInfo.dll';

function  GetDllFormResult: integer; stdcall; external 'SysInfo.dll';

const
  CrLf: string = #13#10;


procedure TTestForm.FormShow(Sender: TObject);
begin
  SysInfoRec := GetAllSystemInfo;

  Version.Caption := DllVersion;

  with SysInfoRec do begin
    MemoBox.Lines.Add(CrLf+'----------[ WINDOWS & USER ]----------');
    MemoBox.Lines.Add('Computer Name: '+ComputerName);
    MemoBox.Lines.Add('File System: ' + FileSystemName);
    MemoBox.Lines.Add(Format('Version %s', [Version] ));
    MemoBox.Lines.Add(Format('Platform: %s', [Plattform] ));
    MemoBox.Lines.Add('CD Serial No: '+ CDSerial);
    MemoBox.Lines.Add('User Name: '+ UserName);
    MemoBox.Lines.Add('Company Name: '+ CompanyName);

    MemoBox.Lines.Add(CrLf+'----------[ SYSTEM ]----------');
    MemoBox.Lines.Add('Drives: '+Drives);
    MemoBox.Lines.Add('Current Disk Name: ' + VolumeName);
    MemoBox.Lines.Add('Volume Serial: ' + VolumeSerial);
    MemoBox.Lines.Add('Processor Type: '+ProcessorType);
    MemoBox.Lines.Add('FPU: '+ FPU);
    MemoBox.Lines.Add(FormatFloat('"Total Physical:" #," Kb"', TotalPhys));
    MemoBox.Lines.Add(FormatFloat('"Avaiable Physical:" #," Kb"', AvailPhys));
    MemoBox.Lines.Add(FormatFloat('"Total Virtual:" #," Kb"', TotalVirtual));
    MemoBox.Lines.Add(FormatFloat('"Avaiable Virtual:" #," Kb"', AvailVirtual));
    MemoBox.Lines.Add(Format('Memory Load: %d%%', [MemoryLoad]));

    MemoBox.Lines.Add(CrLf+'----------[ BIOS INFO ]----------');
    MemoBox.Lines.Add('Bios Date: '+BiosDate );
    MemoBox.Lines.Add('Bios Name: '+BiosName );
    MemoBox.Lines.Add('Bios Version: '+BiosVer );
    MemoBox.Lines.Add('Bus Type: '+BusType );
    MemoBox.Lines.Add('Cpu: '+CPU );
    MemoBox.Lines.Add('Machine Name: '+MachineType );
  end;
end;

procedure TTestForm.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TTestForm.ExecDlgBtnClick(Sender: TObject);
var i: integer;
begin
  i := GetDllFormResult;
  DlgResult.Caption := Format('%d', [i]);
end;

end.
